ApiAdhocHBaseSnapshot (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiAdhocHBaseSnapshot

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAdhocHBaseSnapshot

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiAdhocHBaseSnapshot
      extends Object

  An HBase snapshot descriptor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAdhocHBaseSnapshot()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getSourceAccount()`
    `BigDecimal` | `getSourceNumMappers()`
    `String` | `getSourceSchedulerPool()`
    `ApiServiceRef` | `getSourceService()`
    `String` | `getSourceTable()`
    `int` | `hashCode()`
    `void` | `setSourceAccount(String sourceAccount)`
    `void` | `setSourceNumMappers(BigDecimal sourceNumMappers)`
    `void` | `setSourceSchedulerPool(String sourceSchedulerPool)`
    `void` | `setSourceService(ApiServiceRef sourceService)`
    `void` | `setSourceTable(String sourceTable)`
    `ApiAdhocHBaseSnapshot` | `sourceAccount(String sourceAccount)`
    `ApiAdhocHBaseSnapshot` | `sourceNumMappers(BigDecimal sourceNumMappers)`
    `ApiAdhocHBaseSnapshot` | `sourceSchedulerPool(String sourceSchedulerPool)`
    `ApiAdhocHBaseSnapshot` | `sourceService(ApiServiceRef sourceService)`
    `ApiAdhocHBaseSnapshot` | `sourceTable(String sourceTable)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAdhocHBaseSnapshot

          public ApiAdhocHBaseSnapshot()

  - ### Method Detail

    - #### sourceAccount

          public ApiAdhocHBaseSnapshot sourceAccount(String sourceAccount)

    - #### getSourceAccount

          public String getSourceAccount()

      Returns:
        sourceAccount

    - #### setSourceAccount

          public void setSourceAccount(String sourceAccount)

    - #### sourceTable

          public ApiAdhocHBaseSnapshot sourceTable(String sourceTable)

    - #### getSourceTable

          public String getSourceTable()

      Returns:
        sourceTable

    - #### setSourceTable

          public void setSourceTable(String sourceTable)

    - #### sourceSchedulerPool

          public ApiAdhocHBaseSnapshot sourceSchedulerPool(String sourceSchedulerPool)

    - #### getSourceSchedulerPool

          public String getSourceSchedulerPool()

      Returns:
        sourceSchedulerPool

    - #### setSourceSchedulerPool

          public void setSourceSchedulerPool(String sourceSchedulerPool)

    - #### sourceService

          public ApiAdhocHBaseSnapshot sourceService(ApiServiceRef sourceService)

    - #### getSourceService

          public ApiServiceRef getSourceService()

      Returns:
        sourceService

    - #### setSourceService

          public void setSourceService(ApiServiceRef sourceService)

    - #### sourceNumMappers

          public ApiAdhocHBaseSnapshot sourceNumMappers(BigDecimal sourceNumMappers)

    - #### getSourceNumMappers

          public BigDecimal getSourceNumMappers()

      Returns:
        sourceNumMappers

    - #### setSourceNumMappers

          public void setSourceNumMappers(BigDecimal sourceNumMappers)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.